import request from "@/api/request.js";

// 头部信息
/**
 * @param { page, size, keyword, type, domains } 
 */
export function search(data) {
    return request({
        method: 'POST',
        url: `/temporarySearch/search-info/es/page`,
        data:data
    })
}

// 智库列表
export function getThinkTankList() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-organization-names`,
    })
}

// 立法阶段
export function getStatusList() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/dBillStage`,
    })
}

// 省名字列表
export function getProvinceList() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-provinceName`,
    })
}

// 国家列表
export function getCountryList() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-countryName`,
    })
}

// 实体类型
export function getEntityTypes() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/entityTypes`,
    })
}

// 物项类别
export function getMaterialCategory() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-materialCategory`,
    })
}

// 商业管制清单-管控原因
export function getControlReason() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-controlReason`,
    })
}